Subject: Problems running cpan_update from perl v5.6.0-RC1
From: Steve Kelem <[email-masked]>
To: [email-masked], Cygwin <[email-masked]>
Date: Tue, 02 May 2000 10:53:56 -0700

I'm running
perl -MCPAN -e shell
with your perl on Cygwin 1.0, with the latest downloads for cygwin,
and all of your rpms installed.  This is on NT 4.0 SP6, Pentium III 550,
256M memory.

If I type "install Bundle::CPAN" to the cpan shell prompt, I get the
following errors:
cpan shell -- CPAN exploration and modules installation (v1.52)
ReadLine support available (try ``install Bundle::CPAN'')

Going to read /home/Kelem/.cpan/sources/authors/01mailrc.txt.gz
Going to read
/home/Kelem/.cpan/sources/modules/02packages.details.txt.gz
Scanning cache /home/Kelem/.cpan/build for sizes
Going to read /home/Kelem/.cpan/sources/modules/03modlist.data.gz
File::Spec is up to date.
MD5 is up to date.
Running make for PMQS/Compress-Zlib-1.08.tar.gz
CPAN: MD5 loaded ok
Checksum for
/home/Kelem/.cpan/sources/authors/id/PMQS/Compress-Zlib-1.08.tar.gz ok
Compress-Zlib-1.08/
Compress-Zlib-1.08/typemap
Compress-Zlib-1.08/t/
Compress-Zlib-1.08/t/examples.t
Compress-Zlib-1.08/t/zlib.t
Compress-Zlib-1.08/examples/
Compress-Zlib-1.08/examples/gzcat
Compress-Zlib-1.08/examples/filtdef
Compress-Zlib-1.08/examples/filtinf
Compress-Zlib-1.08/examples/gzstream
Compress-Zlib-1.08/examples/gzgrep
Compress-Zlib-1.08/Makefile.PL
Compress-Zlib-1.08/Zlib.xs
Compress-Zlib-1.08/Makefile.NT
Compress-Zlib-1.08/README
Compress-Zlib-1.08/ANNOUNCE
Compress-Zlib-1.08/MANIFEST
Compress-Zlib-1.08/config.in
Compress-Zlib-1.08/Zlib.pm
Removing previously used /home/Kelem/.cpan/build/Compress-Zlib-1.08

  CPAN.pm: Going to build PMQS/Compress-Zlib-1.08.tar.gz

Parsing config.in...
Looks Good.
Checking if your kit is complete...
Looks good
Note (probably harmless): No library found for -lz
Writing Makefile for Compress::Zlib
mkdir blib
mkdir blib/lib
mkdir blib/lib/Compress
mkdir blib/arch
mkdir blib/arch/auto
mkdir blib/arch/auto/Compress
mkdir blib/arch/auto/Compress/Zlib
mkdir blib/lib/auto
mkdir blib/lib/auto/Compress
mkdir blib/lib/auto/Compress/Zlib
mkdir blib/man3
cp Zlib.pm blib/lib/Compress/Zlib.pm
AutoSplitting blib/lib/Compress/Zlib.pm (blib/lib/auto/Compress/Zlib)
/usr/local/bin/perl -I/usr/local/lib/perl5/5.6.0/cygwin
-I/usr/local/lib/perl5/5.6.0 /usr/local/lib/perl5/5.6.0/ExtUtils/xsubpp
-typemap usr/local/lib/perl5/5.6.0/ExtUtils/typemap -typemap typemap
Zlib.xs > Zlib.xsc && mv Zlib.xsc Zlib.c
gcc -c -I./libraries/1.1.3 -fno-strict-aliasing -I/usr/local/include
-DUSEIMPORTLIB -O     -DVERSION=\"1.08\" -DXS_VERSION=\"1.08\"
-I/usr/local/lib/perl5/5.6.0/cygwin/CORE  Zlib.c
In file included from Zlib.xs:22:
/usr/local/lib/perl5/5.6.0/cygwin/CORE/perl.h:3185: sys/ipc.h: No such
file or directory
/usr/local/lib/perl5/5.6.0/cygwin/CORE/perl.h:3186: sys/sem.h: No such
file or directory
make: *** [Zlib.o] Error 1
  /bin/make  -- NOT OK
--
Want to unsubscribe from this list?
Send a message to [email-masked]